Skip to main content
PUT
/
notifications
/
v1
/
preferences
/
mute
Mute notifications for conversations
curl --request PUT \
  --url https://{appId}.api-{region}.cometchat.io/v3/notifications/v1/preferences/mute \
  --header 'Content-Type: application/json' \
  --header 'apikey: <api-key>' \
  --data '
{
  "conversations": [
    {
      "id": "<string>",
      "type": "oneOnOne",
      "until": 123
    }
  ]
}
'
{
  "data": {
    "success": true
  }
}
For the complete error reference, see Error Guide.

Authorizations

apikey
string
header
required

API Key with fullAccess scope(i.e. Rest API Key from the Dashboard).

Query Parameters

uid
string
required

(Required) UID

Body

application/json

List of conversations

conversations
object[]

Response

200 - application/json

A list of push notification's settings

data
any[]
meta
object